openssl_dh_compute_key
openssl_encrypt
OpenSSL Functions
PHP Manual

# openssl_digest

Computes a digest

### Description

string openssl_digest ( string `$data` , string `$method` [, bool `$raw_output` = false ] )

Computes a digest hash value for the given data using a given method, and returns a raw or binhex encoded string.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`data`

  The data.

`method`

  The digest method.

`raw_output`

  Setting to `TRUE` will return as raw output data, otherwise the return value is binhex encoded.

### Return Values

Returns the digested hash value on success or `FALSE` on failure.

### Errors/Exceptions

Emits an `E_WARNING` level error if an unknown signature algorithm is passed via the `method` parameter.

### See Also

- openssl_get_cipher_methods